Callisto4Bootloader: stPayloadDecoder_t Struct Reference

Callisto4Bootloader

Data Fields
stPayloadDecoder_t Struct Reference

`#include <platform_encoder.h>`

## Data Fields

bool(* | pfn_DecodeStructStart )(stPayloadBuffer_t *pstPayload)
bool(* | pfn_DecodeStructEnd )(stPayloadBuffer_t *pstPayload)
bool(* | pfn_DecodeArrayStart )(stPayloadBuffer_t *pstPayload)
bool(* | pfn_DecodeArraySeparator )(stPayloadBuffer_t *pstPayload)
bool(* | pfn_DecodeArrayEnd )(stPayloadBuffer_t *pstPayload)
bool(* | pfn_DecodeFieldName )(stPayloadBuffer_t *pstPayload, const uint8_t **pau8FieldName, uint32_t *puiNameLength)
bool(* | pfn_DecodeFieldSeparator )(stPayloadBuffer_t *pstPayload)
bool(* | pfn_DecodeBoolean )(stPayloadBuffer_t *pstPayload, bool *pbValue)
bool(* | pfn_DecodeSignedInt )(stPayloadBuffer_t *pstPayload, int64_t *pi64Value)
bool(* | pfn_DecodeUnsignedInt )(stPayloadBuffer_t *pstPayload, uint64_t *pui64Value)
bool(* | pfn_DecodeReal )(stPayloadBuffer_t *pstPayload, double *pdValue)
bool(* | pfn_DecodeString )(stPayloadBuffer_t *pstPayload, const uint8_t **ppau8String, uint32_t *puiStringLength)

## Detailed Description

Definition at line 49 of file platform_encoder.h.

## Field Documentation

## ◆ pfn_DecodeArrayEnd

bool(* stPayloadDecoder_t::pfn_DecodeArrayEnd) (stPayloadBuffer_t *pstPayload)

Definition at line 56 of file platform_encoder.h.

Referenced by PUT_ObjectToJSON().

## ◆ pfn_DecodeArraySeparator

bool(* stPayloadDecoder_t::pfn_DecodeArraySeparator) (stPayloadBuffer_t *pstPayload)

Definition at line 55 of file platform_encoder.h.

Referenced by PUT_ObjectToJSON().

## ◆ pfn_DecodeArrayStart

bool(* stPayloadDecoder_t::pfn_DecodeArrayStart) (stPayloadBuffer_t *pstPayload)

Definition at line 54 of file platform_encoder.h.

Referenced by PUT_ObjectToJSON().

## ◆ pfn_DecodeBoolean

bool(* stPayloadDecoder_t::pfn_DecodeBoolean) (stPayloadBuffer_t *pstPayload, bool *pbValue)

Definition at line 59 of file platform_encoder.h.

Referenced by PUT_ObjectToJSON().

## ◆ pfn_DecodeFieldName

bool(* stPayloadDecoder_t::pfn_DecodeFieldName) (stPayloadBuffer_t *pstPayload, const uint8_t **pau8FieldName, uint32_t *puiNameLength)

Definition at line 57 of file platform_encoder.h.

Referenced by PUT_StructToJSON().

## ◆ pfn_DecodeFieldSeparator

bool(* stPayloadDecoder_t::pfn_DecodeFieldSeparator) (stPayloadBuffer_t *pstPayload)

Definition at line 58 of file platform_encoder.h.

Referenced by PUT_StructToJSON().

## ◆ pfn_DecodeReal

bool(* stPayloadDecoder_t::pfn_DecodeReal) (stPayloadBuffer_t *pstPayload, double *pdValue)

Definition at line 62 of file platform_encoder.h.

Referenced by PUT_ObjectToJSON().

## ◆ pfn_DecodeSignedInt

bool(* stPayloadDecoder_t::pfn_DecodeSignedInt) (stPayloadBuffer_t *pstPayload, int64_t *pi64Value)

Definition at line 60 of file platform_encoder.h.

Referenced by PUT_ObjectToJSON().

## ◆ pfn_DecodeString

bool(* stPayloadDecoder_t::pfn_DecodeString) (stPayloadBuffer_t *pstPayload, const uint8_t **ppau8String, uint32_t *puiStringLength)

Definition at line 63 of file platform_encoder.h.

Referenced by PUT_ObjectToJSON().

## ◆ pfn_DecodeStructEnd

bool(* stPayloadDecoder_t::pfn_DecodeStructEnd) (stPayloadBuffer_t *pstPayload)

Definition at line 53 of file platform_encoder.h.

Referenced by PUT_Callback(), and PUT_StructToJSON().

## ◆ pfn_DecodeStructStart

bool(* stPayloadDecoder_t::pfn_DecodeStructStart) (stPayloadBuffer_t *pstPayload)

Definition at line 52 of file platform_encoder.h.

Referenced by PUT_Callback(), and PUT_StructToJSON().

## ◆ pfn_DecodeUnsignedInt

bool(* stPayloadDecoder_t::pfn_DecodeUnsignedInt) (stPayloadBuffer_t *pstPayload, uint64_t *pui64Value)

Definition at line 61 of file platform_encoder.h.

Referenced by PUT_ObjectToJSON().

The documentation for this struct was generated from the following file:

- ARK/platform_encoder.h